View Issue Details

IDProjectCategoryView StatusLast Update
0002723Ham Radio DeluxeBugpublic2018-06-13 09:13
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.843 
Summary0002723: Setup: doesn't correctly manage service installation or uninstall
DescriptionThe suite contains two services, one named "HRD Serial Port Server" and the other named "Ham Radio Deluxe Remote Server".

Neither server is correctly managed by setup at installation or removal. A service might be in any of several states. It might not be installed at all (which is one state). Or, if installed, it might be paused, running, disabled, and a few other states.

The setup script only considers the "Running" and "Not Installed" states. If a service happens to be stopped, paused, or in any other state, it won't be managed by setup. This is a pretty severe bug, as the lack of management means that the services might not even be upgraded; running setup for build 800 while code for the services at build 700 exists on the machine, but are not in the "running" state, won't remove, upgrade, or enable the older code. The older code remains and is not replaced by the setup action.
Steps To Reproduce1) Starting with a clean slate, run setup to completion.
2) Use the Services applet to disable the "HRD Serial Port Server" and "Ham Radio Deluxe Remote Server" services
3) Uninstall the product
4) Again run (or refresh) the services applet.

BUG#1) the services applet shows that the services are still installed.

BUG#2) The executable for the services are no longer installed, but the services haven't been removed from the product.

5) Run setup again.

BUG#3) With the services applet, it can be verified that the services are still disabled.


TagsNo tags attached.
ModuleAll
Sub-ModuleInstall
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-05-24 13:12

manager   ~0005107

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4128

k2dls

2018-05-31 15:52

viewer   ~0005157

HRD Services now uninstall cleanly with HRD uninstall.

g3ucq

2018-06-01 03:39

viewer   ~0005163

I admit I am out of my depth on this one but used my 2nd boot system to try.
On installing HRD I get the message in Capture1.
I click on NO and the install continues.
No remote servers are running.
If I then uninstall HRD, the open Windows of Rig Control and Logbook are not closed until I close them manually.
HTH

Capture1.PNG (134,566 bytes)
Capture1.PNG (134,566 bytes)

Issue History

Date Modified Username Field Change
2018-05-20 11:09 K7ZCZ New Issue
2018-05-24 13:12 K7ZCZ Assigned To => K7ZCZ
2018-05-24 13:12 K7ZCZ Status new => resolved
2018-05-24 13:12 K7ZCZ Resolution open => fixed
2018-05-24 13:12 K7ZCZ Note Added: 0005107
2018-05-26 23:27 K7ZCZ Fixed in Version => 6.4.0.842
2018-05-31 15:52 k2dls Note Added: 0005157
2018-06-01 03:39 g3ucq File Added: Capture1.PNG
2018-06-01 03:39 g3ucq Note Added: 0005163
2018-06-01 23:22 WA9PIE Status resolved => closed
2018-06-01 23:22 WA9PIE Description Updated View Revisions
2018-06-01 23:22 WA9PIE Steps to Reproduce Updated View Revisions
2018-06-01 23:22 WA9PIE Testing Not Started => Beta Successful
2018-06-13 09:13 WA9PIE Fixed in Version 6.4.0.842 => 6.4.0.843
2018-06-13 09:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe